<?php 
session_start();
include ($_SERVER["DOCUMENT_ROOT"]."/Site/checkadmin.php");
include ($_SERVER["DOCUMENT_ROOT"]."/Site/mysql.php");

$moduleurl = $_REQUEST["path"];

list($db,$conn) = db_connect();
if (empty($db)) 
{ 
  die ("Keine Verbindung zur Datenbank! [<b><font color=red>FAIL</b></font>]<br>"); 
} 

if(is_null($_REQUEST["withsquid"]))
{
	$_REQUEST["withsquid"] = "0";
} 
if(is_null($_REQUEST["withmail"]))
{
	$_REQUEST["withmail"] = "0";
} 
if(is_null($_REQUEST["withusersquid"]))
{
	$_REQUEST["withusersquid"] = "0";
} 

// Daten eintragen 
while (list ($attr, $value) = each ($_REQUEST)) 
{ 
	if($attr != "path")
	{
  // SQL-Anweisung erstellen 
  $sql = "UPDATE ".
    "config SET value='".mysql_real_escape_string($value)."' WHERE attr = '".mysql_real_escape_string($attr)."'"; 
  		mysql_query ($sql); 
	}
} 


header ("Location: ".$moduleurl."&uebergabe=1");

?>
